<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>L-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="index: L">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Library</span></a> - Class in <a href="../fr/iut/librarymanagement/domain/package-summary.html">fr.iut.librarymanagement.domain</a></dt>
<dd>
<div class="block">Represent a library in base</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Library.html#%3Cinit%3E()">Library()</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Library.html#%3Cinit%3E(java.lang.String,fr.iut.librarymanagement.domain.Address)">Library(String, Address)</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Library.html" title="class in fr.iut.librarymanagement.domain">Library</a></dt>
<dd>
<div class="block">Create a library</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">LibraryController</span></a> - Class in <a href="../fr/iut/librarymanagement/controller/package-summary.html">fr.iut.librarymanagement.controller</a></dt>
<dd>
<div class="block">Controller for libraries</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/LibraryController.html#%3Cinit%3E(fr.iut.librarymanagement.repository.LibraryRepository)">LibraryController(LibraryRepository)</a></span> - Constructor for class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller">LibraryController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/LibraryController.html#libraryList(java.lang.String,java.lang.String)">libraryList(String, String)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller">LibraryController</a></dt>
<dd>
<div class="block">Get all libraries, or looking for all libraries by name or city</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/LibraryManagementApplication.html" title="class in fr.iut.librarymanagement"><span class="type-name-link">LibraryManagementApplication</span></a> - Class in <a href="../fr/iut/librarymanagement/package-summary.html">fr.iut.librarymanagement</a></dt>
<dd>
<div class="block">The main application</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/LibraryManagementApplication.html#%3Cinit%3E()">LibraryManagementApplication()</a></span> - Constructor for class fr.iut.librarymanagement.<a href="../fr/iut/librarymanagement/LibraryManagementApplication.html" title="class in fr.iut.librarymanagement">LibraryManagementApplication</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">LibraryQuantityAssociation</span></a> - Class in <a href="../fr/iut/librarymanagement/domain/package-summary.html">fr.iut.librarymanagement.domain</a></dt>
<dd>
<div class="block">Represent an library, with its quantity of books</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html#%3Cinit%3E()">LibraryQuantityAssociation()</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html#%3Cinit%3E(org.bson.types.ObjectId,int)">LibraryQuantityAssociation(ObjectId, int)</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/LibraryQuantityAssociation.html" title="class in fr.iut.librarymanagement.domain">LibraryQuantityAssociation</a></dt>
<dd>
<div class="block">Create a new association</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/repository/LibraryRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">LibraryRepository</span></a> - Interface in <a href="../fr/iut/librarymanagement/repository/package-summary.html">fr.iut.librarymanagement.repository</a></dt>
<dd>
<div class="block">The repository of the Author</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
